diff -c -w help-fns.el help-fns-patched-2011-06-13.el
*** help-fns.el	Mon Jun 13 09:36:56 2011
--- help-fns-patched-2011-06-13.el	Mon Jun 13 11:20:32 2011
***************
*** 212,217 ****
--- 212,242 ----
    :group 'help
    :version "23.2")
  
+ (defcustom help-cross-reference-manuals '(("emacs" "elisp"))
+   "*Manuals to search, for a `*Help*' buffer link to the manuals.
+ A cons.
+ 
+  The car is a list of manuals to search, or the symbol `all', to
+   search all.  If nil, then do not create a cross-reference link.
+ 
+  The cdr is a boolean:
+ 
+   Non-`nil' means search the manuals, then create a cross-ref link:
+         create it only if some search hits are found.
+ 
+   `nil' means create a cross-ref link without searching manuals
+         first (but only if there are some manuals to search)."
+   :set #'(lambda (sym defs)
+            (custom-set-default sym defs)
+            (setq Info-indexed-nodes  ()))
+   :type '(cons
+           (choice :tag "Which Manuals"
+            (repeat :tag "Specific Manuals (files)" string)
+            (const  :tag "All Manuals" all))
+           (boolean :tag "Search Before Creating Button?"))
+   :group 'help
+   :version "24.1")
+ 
  (defun help-highlight-arg (arg)
    "Highlight ARG as an argument name for a *Help* buffer.
  Return ARG in face `help-argument-name'; ARG is also downcased
***************
*** 586,593 ****
  			    (use (format ";\nuse `%s' instead." use))
  			    (t "."))
  		      "\n"))
! 	    (insert "\n"
! 		    (or doc "Not documented."))))))))
  
  
  ;; Variables
--- 611,619 ----
  			    (use (format ";\nuse `%s' instead." use))
  			    (t "."))
  		      "\n"))
! 	    (insert "\n")
!             (when doc (Info-make-manuals-xref function)) ; Link to manuals.
!             (insert (or doc "Not documented."))))))))
  
  
  ;; Variables
***************
*** 880,889 ****
  		  (princ output))))
  
  	    (with-current-buffer standard-output
  	      ;; Return the text we displayed.
  	      (buffer-string))))))))
  
- 
  ;;;###autoload
  (defun describe-syntax (&optional buffer)
    "Describe the syntax specifications in the syntax table of BUFFER.
--- 906,915 ----
  		  (princ output))))
  
  	    (with-current-buffer standard-output
+               (unless valvoid (Info-make-manuals-xref variable)) ; Link to manuals.
  	      ;; Return the text we displayed.
  	      (buffer-string))))))))
  
  ;;;###autoload
  (defun describe-syntax (&optional buffer)
    "Describe the syntax specifications in the syntax table of BUFFER.

Diff finished.  Mon Jun 13 11:46:48 2011
